
Foreman - Bug #1632

On login with minimal permissions, user is always taken to host page

05/18/2012 10:21 AM - Adam Kosmin

Status: New   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installed version: debian squeeze package 0.4.2-1

Steps to reproduce:

1. Create a role named 'guest'

2. Uncheck all permissions (uncheck/check all buttons do not work though) but leave only report ACLs enabled

- view_reports

- delete_reports

3. Create a user named 'guest' and assign to 'guest' role

4. Login as guest

This user still has access to 'hosts' and 'more' (although no submenus are available in the 'more' section).

There seems to be a strange relationship between the Anonymous role and other roles though. Disabling the 'hosts' related ACLs in

the Anonymous role results in a permissions related error. It appears that the login redirection takes the logged in user straight to the

'hosts' area of the site.

What I'd really love is to be able to get the Anonymous role working so that only reports are available. This way, logins wouldn't be

required at all just to view this subset of functionality.

Thanks

Related issues:

Related to Foreman - Bug #6361: menu item "Hosts --> All hosts" is visible to... Closed 06/24/2014

Related to Foreman - Bug #1214: User might not be able to access root path if... Resolved 10/09/2011

Has duplicate Foreman - Bug #6926: New user with just anonymous role will get... Duplicate 08/05/2014

History

#1 - 03/31/2014 08:54 AM - Dominic Cleal

- Description updated

I think generally the login page will try and return the user to the original URL they requested, so if they hit / then it should take them to the dashboard

(giving all users permission to view_dashboard seems a good idea).  If there's no original URL then it defaults to the host list, which they might not

have permission to access.

This needs to be more flexible based on the user's assigned permissions.

#2 - 06/24/2014 03:39 PM - Dominic Cleal

- Subject changed from Unable to strip foreman down to nothing but a report viewer to On login with minimal permissions, user is always taken to host

page

I think the menu issues have been resolved in recent versions, but the issue with minimum permissions on login being given a denied message

(particularly when missing the dashboard permission) is still a problem.
#3 - 08/05/2014 04:16 AM - Dominic Cleal

- Has duplicate Bug #6926: New user with just anonymous role will get 403 Forbidden upon logon to / (redirected to /hosts) added

#4 - 08/05/2014 04:16 AM - Dominic Cleal

- Related to Bug #6361: menu item "Hosts --> All hosts" is visible to normal user from anonymous role by default added

#5 - 08/21/2014 05:56 AM - Dominic Cleal

- Related to Bug #1214: User might not be able to access root path if he has no permissions to view the dashboard added
